﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Newtonsoft.Json;

namespace KanbanColumns.Controllers
{
    public class ColumnsController : Controller
    {
        //
        // GET: /Columns/

        public ActionResult Index()
        {
            List<Column> Cols = new List<Column>();
            Cols.Add(new Column() { columnText = "To Do", columnKey = "Open" });
            Cols.Add(new Column() { columnText = "Doing", columnKey = "InProgress" });
            Cols.Add(new Column() { columnText = "Testing", columnKey = "Testing" });
            Cols.Add(new Column() { columnText = "Done", columnKey = "Close" });
            ViewBag.colsArray = JsonConvert.SerializeObject(Cols);
            return View();
        }

    }
    public class Column
    {
        public string columnText { get; set; }
        public string columnKey { get; set; }
    } 
}
